Package twisted :: Package xish :: Module xpathparser :: Class XPathParser

[frames | no frames]

## Class XPathParser

    Parser --+
             |
            XPathParser

Method Summary
| `CMP(self, _parent)`
| `EXPR(self, _parent)`
| `PATH(self, _parent)`
| `PREDICATE(self, _parent)`
| `STR(self, _parent)`
| `VALUE(self, _parent)`
| `XPATH(self, _parent)`
Inherited from Parser
| ``__init__`(self, scanner)`
| ``_peek`(self, *types)` Returns the token type for lookahead; if there are any args then the list of args is the set of token types to allow
| ``_scan`(self, type)` Returns the matched text, and moves to the next token

Class Variable Summary
`class` | `Context` = `twisted.xish.xpathparser.Context`

Generated by Epydoc 2.0 on Sat May 15 20:08:05 2004 | http://epydoc.sf.net